# QGraphicsSceneWheelEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneWheelEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneWheelEvent prototype object

### Prototype Object Properties

The QGraphicsSceneWheelEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- MouseButtons buttons()
- int delta()
- KeyboardModifiers modifiers()
- Orientation orientation()
- QPointF pos()
- QPointF scenePos()
- QPoint screenPos()
- void setButtons(MouseButtons buttons)
- void setDelta(int delta)
- void setModifiers(KeyboardModifiers modifiers)
- void setOrientation(Orientation orientation)
- void setPos(QPointF pos)
- void setScenePos(QPointF pos)
- void setScreenPos(QPoint pos)

### Instance Properties

QGraphicsSceneWheelEvent objects have no special properties beyond those inherited from the QGraphicsSceneWheelEvent prototype object.